import { PipeTransform } from "@angular/core";
import { SmallstackTypeRegistry } from "@smallstack/typesystem";
import * as i0 from "@angular/core";
/** Returns the icon for the given type */
export declare class TypeIconPipe implements PipeTransform {
    private smallstackTypeRegistry;
    constructor(smallstackTypeRegistry: SmallstackTypeRegistry);
    transform(typePath: string): Promise<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeIconPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<TypeIconPipe, "typeIcon", true>;
}
