import { ThemeDto } from "@smallstack/axios-api-client";
import { MaterialCssVarsService } from "angular-material-css-vars";
import { BehaviorSubject } from "rxjs";
import * as i0 from "@angular/core";
export declare class ThemeService {
    private materialCssVarsService;
    $currentTheme: BehaviorSubject<ThemeDto>;
    constructor(materialCssVarsService: MaterialCssVarsService);
    getDefaultTheme(): ThemeDto;
    private applyTheme;
    private setThemeVars;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThemeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ThemeService>;
}
